Bug 1474109 - Can't grub2-install on MacBook (hfs+ /boot/efi partition)
Can't grub2-install on MacBook (hfs+ /boot/efi partition)
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-07-23 19:45 EDT by Michał Radwański
Modified: 2017-12-12 05:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-12 05:20:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michał Radwański 2017-07-23 19:45:09 EDT
Description of problem:

I can't do `grub2-install` on my MacBook since EFI partition is hfs+ and grub2-install refuses to work.

Version-Release number of selected component (if applicable):

How reproducible:

I suspect I'm not the only victim, as this bug has been talked about on Debian bugtracker (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=716927).

Steps to Reproduce:
1. Install Fedora with default settings on MacBook
2. Execute `grub2-install --target=x86_64-efi --efi-directory=/boot/efi/`

Actual results:

$ sudo grub2-install --target=x86_64-efi --efi-directory=/boot/efi/
Installing for x86_64-efi platform.
grub2-install: error: Can't create file: No such file or directory.

Expected results:
grub2 install exits normally 

Additional info:
I have MacBook Pro Retina 13" late 2015 (also known as MacBook12,1)
Comment 1 Michał Radwański 2017-07-23 19:56:45 EDT
It appears that if I create file `/boot/efi/EFI/fedora/mach_kernel` I can finish the installation without error (at least grub2-install tells me so). I'm still not sure whether there aren't any additional underlying problems.
Comment 2 Fedora End Of Life 2017-11-16 13:51:56 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-12-12 05:20:35 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.